Download it now!
Bug 78491 - FILESAVE: RTF - Table padding not saved
Summary: FILESAVE: RTF - Table padding not saved
Status: VERIFIED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:rtf
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2014-05-09 14:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-29 21:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
table padding shown in the original file and the exported rtf (125.52 KB, image/jpeg)
2014-05-09 14:15 UTC, Yousuf Philips (jay) (retired)
Details
Attachment showing the docx import problem (75.74 KB, image/png)
2014-06-27 10:22 UTC, Florian Reisinger
Details
Reduced file which still reproduce the issue (21.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-18 19:54 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-09 14:15:53 UTC
Created attachment 98763 [details]
table padding shown in the original file and the exported rtf

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in LibO and saved it as an RTF. Then i reopened the RTF file and the table on page 15 has shrunk as the padding isnt saved. This was tested in Linux Mint on the last releases from 3.6 to 4.2 and 4.3 alpha. In 4.0, line spacing and below paragraph were set on table text for some strange reason. Its a filesave problem as word 2010 shows the table in the same manner.
Comment 1 Florian Reisinger 2014-06-24 13:27:02 UTC
Seems ok with Version: 4.4.0.0.alpha0+
Build ID: bdd87b2acddb2e244569dcc8f228e270614dc59e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-23_00:37:24 on Win 7 x64
Comment 2 Florian Reisinger 2014-06-24 13:28:39 UTC
Ok loading rtf looks good (if saved in word, docx does not import properly
Comment 3 Florian Reisinger 2014-06-24 13:31:00 UTC
Jay, with Version: 4.4.0.0.alpha0+
Build ID: bdd87b2acddb2e244569dcc8f228e270614dc59e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-23_00:37:24 this seems like a docx import problem.... So RTF export working, so closing this bug.

Sorry for the spam on this bug ^^
Comment 4 Yousuf Philips (jay) (retired) 2014-06-24 17:38:34 UTC
This issue is still not fixed for me.

Version: 4.4.0.0.alpha0+
Build ID: e62764108a1832e746f68768c29eaa90606903a7
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-06-20_22:05:17

This is not a docx import issue, as if you save the file as odf, the padding is retained.
Comment 5 Florian Reisinger 2014-06-27 10:22:03 UTC
Created attachment 101857 [details]
Attachment showing the docx import problem

Hi,
NOT retraqined saving as odf... Please comment --> Version: 4.4.0.0.alpha0+
Build ID: bdd87b2acddb2e244569dcc8f228e270614dc59e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-23_00:37:24
Comment 6 Yousuf Philips (jay) (retired) 2014-06-27 12:45:45 UTC
I might be going blind but the table padding in your screenshot shows its retained.
Comment 7 Yousuf Philips (jay) (retired) 2014-06-27 20:46:43 UTC
Florian mistook that this for my other bug discussing the table going outside of the margin. This bug is about the cell padding in the table.
Comment 8 Jorendc 2014-07-18 19:51:16 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: eddd7646d672ea9b0561dacb09da224d098e531e
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-07-18_06:13:47
Comment 9 Jorendc 2014-07-18 19:54:19 UTC
Created attachment 103062 [details]
Reduced file which still reproduce the issue

I reduced the original test document. I deleted all text before and after the table. Same bug is still reproducible.
Comment 10 QA Administrators 2015-09-04 02:48:42 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-11-19 12:29:00 UTC
(In reply to Jorendc from comment #9)
> Created attachment 103062 [details]
> Reduced file which still reproduce the issue
> 
> I reduced the original test document. I deleted all text before and after
> the table. Same bug is still reproducible.

Tested with this and the original .docx and now the padding is retained when saving to RTF. Setting to WFM.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 66d2b72667792cb18b25805387824d636e2a455c
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-18_02:35:53
Locale: fi-FI (fi_FI)
Comment 12 Robinson Tryon (qubit) 2015-12-17 05:52:49 UTC Comment hidden (obsolete)
Comment 13 Yousuf Philips (jay) (retired) 2017-09-29 21:22:20 UTC
Verified

Version: 6.0.0.0.alpha0+
Build ID: 8d2a287da3abb0576512406227d0a3acd602123e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group